Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::make_move_iterator_fn Struct Reference
Iterator

## Public Member Functions
template<typename I >
constexpr move_iterator< I > | operator() (I it) const

## Member Function Documentation

## ◆ operator()()

template<typename I >

constexpr move_iterator<I> ranges::make_move_iterator_fn::operator() | ( | I | it | ) | const
| constexpr

Precondition
  requires `input_iterator<I>`